{
		#a config file thats structured like json
		#the only difference from json is that lines starting with # are comments and wont get parsed

		"Table": "planets_export",
		"MaxResults": 50,

		#the setting below makes it so planet icons have alpha values, this by default is disabled because it slows down the program for a slightly more smooth icon
		#however, if your name is "$while true do end" you might want to turn this on so you stop bothering me about it
		"AllowSemitransparentPlanetIcons": true,

		#a list containing all the ring types
		#this setting exists so in case new ring types get added/removed (WISHFUL THINKING) you can easily add them here
		"RingTypes": [
				"None",
				"Ice",
				"Stone"
		],


		#a list containing all the star types
		#this setting exists so in case new Star types get added/removed (WISHFUL THINKING) you can easily add them here
		"StarTypes": [
				"Red",
				"Orange",
				"Yellow",
				"Blue",
				"Neutron",
				"BlackHole"
				],

		#a list containing all the planet types
		#this setting exists so in case new planet types get added/removed (WISHFUL THINKING) you can easily add them here
		"PlanetTypes": [
				"EarthLike",
				"Terra",
				"Barren",
				"Ocean",
				"Tundra",
				"Gas",
				"Exotic",
				"Desert",
				"Forest"
		],

		#a dictionary containing all records the program will use to query, the values are a dictionary containing the name of the record in the actual database, the type (as an enum), a short description and some extra data
		#by default these values match up with the Sql database provided in the repository, but if you want to use your own database then replace the values with the names in your database.
		#here are the enum values 
    	#BOOL     = 1
    	#ENUM     = 2
    	#STRING   = 3
    	#INT      = 4
    	#FLOAT    = 5
    	#FAKEBOOL = 6 #since resorces like iron arent really bool values in the database, i give them a special type
		#
		#if the type is ENUM, then you must also provide a "Values" value which has to be a string with a name of a table defined in this file (like "PlanetTypes")
		#if the type is INT or STRING then you can also pass a default value
		"RecordData":        {
				"PlanetType":         {"Name":  "Type",               "Type"   :    2, "Description": "Planet Type", "Values": "PlanetTypes"},
				"RingType":           {"Name":  "Ringtype",           "Type"   :    2, "Description": "Ring type", "Values": "RingTypes"},
				"StarType":           {"Name":  "Startype",           "Type"   :    2, "Description": "Star type", "Values": "StarTypes"},
				"Name":               {"Name":  "Name",               "Type"   :    3, "Description": "Planet Name"},
				"Atmosphere":         {"Name":  "Atmosphere",         "Type"   :    1, "Description": "Atmosphere"},
				"Temperature":        {"Name":  "Temperature",        "Type"   :    4, "Description": "Temperature", "DefaultValue": 60},
				"Gravity":            {"Name":  "Gravity",            "Type"   :    5, "Description": "Gravity", "DefaultValue": 198.5},
				"DayCycleIncrement":  {"Name":  "Daycycleincrement",  "Type"   :    5, "Description": "Time increment"},
				"StellarX":           {"Name":  "Stellarx",           "Type"   :    4, "Description": "Stellar X"},  
				"StellarY":           {"Name":  "Stellary",           "Type"   :    4, "Description": "Stellar Y"},
				"PlanetX":            {"Name":  "Planetx",            "Type"   :    4, "Description": "Planetary  X"},
				"PlanetY":            {"Name":  "Planety",            "Type"   :    4, "Description": "Planetary Y"},
				"RandomMat":          {"Name":  "Randommat",          "Type"   :    3, "Description": "Random material"},
				"Copper":             {"Name":  "Copper",             "Type"   :    6, "Description": "Copper"},
				"Iron":               {"Name":  "Iron",               "Type"   :    6, "Description": "Iron"},
				"Diamond":            {"Name":  "Diamond",            "Type"   :    6, "Description": "Diamond"},
				"Titanium":           {"Name":  "Titanium",           "Type"   :    6, "Description": "Titanium"},
				"Aluminum":           {"Name":  "Aluminum",           "Type"   :    6, "Description": "Aluminum"},
				"Uranium":            {"Name":  "Uranium",            "Type"   :    6, "Description": "Uranium"},
				"Coal":               {"Name":  "Coal",               "Type"   :    6, "Description": "Coal"},
				"Beryllium":          {"Name":  "Beryllium",          "Type"   :    6, "Description": "Beryllium"},
				"Lead":               {"Name":  "Lead",               "Type"   :    6, "Description": "Lead"},
				"Gold":               {"Name":  "Gold",               "Type"   :    6, "Description": "Gold"},
				"Jade":               {"Name":  "Jade",               "Type"   :    6, "Description": "Jade"},
				"PrimaryRed":         {"Name":  "PrimaryRed",         "Type"   :    4, "Description": "Primary Red"},
				"PrimaryGreen":       {"Name":  "PrimaryGreen",       "Type"   :    4, "Description": "Primary Green"},
				"PrimaryBlue":        {"Name":  "PrimaryBlue",        "Type"   :    4, "Description": "Primary Blue"},
				"SecondaryRed":       {"Name":  "SecondaryRed",       "Type"   :    4, "Description": "Secondary Red"},
				"SecondaryGreen":     {"Name":  "SecondaryGreen",     "Type"   :    4, "Description": "Secondary Green"},
				"SecondaryBlue":      {"Name":  "SecondaryBlue",      "Type"   :    4, "Description": "Secondary Blue"},
				"Cords":			  {"Name":  "Cords",              "Type"   :    3, "Description": "Cords"},
				"StartingTime":       {"Name":  "Startingtime",       "Type"   :    4, "Description": "Starting time"}
		}                     
}
